KDE 4.9 PyKDE API Reference

- KDE's Python API

# SearchRunner Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self, QObject parent=0)
Marble.MarbleModel | model (self)
| search (self, QString searchTerm, Marble.GeoDataLatLonAltBox preferred)
| setModel (self, Marble.MarbleModel model)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Marble.MarbleModel model | ( |  | self ) |

Access to the currently used model, or null if no was set with

See also:
  setModel

search | ( | self, |
|  | QString | searchTerm,
|  | Marble.GeoDataLatLonAltBox | preferred
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Start a placemark search. Called by MarbleRunnerManager, runners are expected to return the result via the searchFinished signal. If implemented in a plugin, make sure to include Search in the plugin capabilities, otherwise MarbleRunnerManager will ignore the plugin

setModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Stores a pointer to the currently used model